<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fitness_coaching_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'fitness-coaching' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fitness-coaching' ),
			'off' => esc_html__( 'Disable', 'fitness-coaching' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fitness_coaching_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'fitness-coaching' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fitness-coaching' ),
			'off' => esc_html__( 'Disable', 'fitness-coaching' ),
		],
	] );

	// PANEL

	Kirki::add_panel( 'fitness_coaching_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'fitness-coaching' ),
	) );

	// HEADER SECTION

	Kirki::add_section( 'fitness_coaching_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'fitness-coaching' ),
	    'description'    => esc_html__( 'Here you can add different type of social icons.', 'fitness-coaching' ),
	    'panel'          => 'fitness_coaching_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_phone_number_heading',
		'section'     => 'fitness_coaching_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Phone Number', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fitness_coaching_header_phone_number',
		'section'  => 'fitness_coaching_section_header',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_email_address_heading',
		'section'     => 'fitness_coaching_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Email Address', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fitness_coaching_header_email_address',
		'section'  => 'fitness_coaching_section_header',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_enable_socail_link',
		'section'     => 'fitness_coaching_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'fitness_coaching_section_header',
		'priority'    => 10,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'fitness-coaching' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'fitness-coaching' ),
		'settings'     => 'fitness_coaching_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'fitness-coaching' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'fitness-coaching' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'fitness-coaching' ),
				'description' => esc_html__( 'Add the social icon url here.', 'fitness-coaching' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_enable_search',
		'section'     => 'fitness_coaching_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Search Box', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fitness_coaching_search_box_enable',
		'label'       => esc_html__( 'Search Enable / Disable Button', 'fitness-coaching' ),
		'section'     => 'fitness_coaching_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fitness-coaching' ),
			'off' => esc_html__( 'Disable', 'fitness-coaching' ),
		],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'fitness_coaching_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'fitness-coaching' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'fitness-coaching' ),
        'panel'          => 'fitness_coaching_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_enable_heading',
		'section'     => 'fitness_coaching_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fitness_coaching_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'fitness-coaching' ),
		'section'     => 'fitness_coaching_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fitness-coaching' ),
			'off' => esc_html__( 'Disable', 'fitness-coaching' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_slider_heading',
		'section'     => 'fitness_coaching_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'fitness_coaching_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'fitness-coaching' ),
		'section'     => 'fitness_coaching_blog_slide_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'fitness_coaching_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'fitness-coaching' ),
		'section'     => 'fitness_coaching_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'fitness-coaching' ),
		'priority'    => 10,
		'choices'     => fitness_coaching_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_slider_extra_heading',
		'section'     => 'fitness_coaching_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider Extra Title', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fitness_coaching_slider_main_title',
		'section'  => 'fitness_coaching_blog_slide_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_slider_button_heading',
		'section'     => 'fitness_coaching_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider Button Text', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fitness_coaching_slider_button_text',
		'section'  => 'fitness_coaching_blog_slide_section',
		'default'  => 'Contact With Us',
		'priority' => 10,
	] );


	// SERVICES SECTION

	Kirki::add_section( 'fitness_coaching_featured_post_section', array(
        'title'          => esc_html__( 'Services Settings', 'fitness-coaching' ),
        'description'    => esc_html__( 'You have to select post category to show services.', 'fitness-coaching' ),
        'panel'          => 'fitness_coaching_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_services_enable_heading',
		'section'     => 'fitness_coaching_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Services Section', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fitness_coaching_services_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'fitness-coaching' ),
		'section'     => 'fitness_coaching_featured_post_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fitness-coaching' ),
			'off' => esc_html__( 'Disable', 'fitness-coaching' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_services_main_heading',
		'section'     => 'fitness_coaching_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Services Main Title', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fitness_coaching_services_main_title',
		'section'  => 'fitness_coaching_featured_post_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_services_heading',
		'section'     => 'fitness_coaching_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Services Title', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fitness_coaching_services_title',
		'section'  => 'fitness_coaching_featured_post_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_post_heading',
		'section'     => 'fitness_coaching_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Services', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'fitness_coaching_services_number',
		'label'       => esc_html__( 'Number of services to show', 'fitness-coaching' ),
		'section'     => 'fitness_coaching_featured_post_section',
		'default'     => 5,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'fitness_coaching_services_category',
		'label'       => esc_html__( 'Select the category to show services', 'fitness-coaching' ),
		'section'     => 'fitness_coaching_featured_post_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'fitness-coaching' ),
		'priority'    => 10,
		'choices'     => fitness_coaching_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'fitness_coaching_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'fitness-coaching' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'fitness-coaching' ),
        'panel'          => 'fitness_coaching_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_footer_text_heading',
		'section'     => 'fitness_coaching_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'fitness_coaching_footer_text',
		'section'  => 'fitness_coaching_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'fitness_coaching_footer_enable_heading',
		'section'     => 'fitness_coaching_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'fitness-coaching' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'fitness_coaching_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'fitness-coaching' ),
		'section'     => 'fitness_coaching_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'fitness-coaching' ),
			'off' => esc_html__( 'Disable', 'fitness-coaching' ),
		],
	] );	
}