<?php if ( get_theme_mod('fitness_coaching_blog_box_enable') ) : ?>

<?php $args = array(
  'post_type' => 'post',
  'post_status' => 'publish',
  'category_name' =>  get_theme_mod('fitness_coaching_blog_slide_category'),
  'posts_per_page' => get_theme_mod('fitness_coaching_blog_slide_number'),
); ?>

<div class="slider">
  <div class="owl-carousel">
    <?php $arr_posts = new WP_Query( $args );
    if ( $arr_posts->have_posts() ) :
      while ( $arr_posts->have_posts() ) :
        $arr_posts->the_post();
        ?>
        <div class="blog_box text-center">
          <?php
            if ( has_post_thumbnail() ) :
              the_post_thumbnail();
            endif;
          ?>
          <div class="blog_inner_box">
            <?php if ( get_theme_mod('fitness_coaching_slider_main_title', true) == true ) : ?>
              <h2><?php echo esc_html( get_theme_mod('fitness_coaching_slider_main_title' ) ); ?></h2>
            <?php endif; ?>
            <h3 class="post-title mb-3 mt-0"><a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php the_title(); ?></a></h3>
            <hr>
            <p><?php echo esc_html( wp_trim_words( get_the_content(), 20, '...' ) ); ?></p>
            <p class="slider_btn my-5">
              <?php if ( get_theme_mod('fitness_coaching_slider_button_text', true) == true ) : ?>
                <a href="<?php the_permalink(); ?>" class="py-3 px-4"><?php echo esc_html( get_theme_mod('fitness_coaching_slider_button_text' ) ); ?></a>
              <?php endif; ?>
            </p>
          </div>
        </div>
      <?php
    endwhile;
    wp_reset_postdata();
    endif; ?>
  </div>
</div>

<?php endif; ?>